diff --git a/libr/core/cmd_search.c b/libr/core/cmd_search.c
index b5e6f1f0b0920..242ee7af0cfc6 100644
--- a/libr/core/cmd_search.c
+++ b/libr/core/cmd_search.c
@@ -274,8 +274,9 @@ static int __cb_hit(RSearchKeyword *kw, void *user, ut64 addr) {
 		}
 	}
 
-	if (core->section && (core->section->rwx & R_IO_MAP))
-		base_addr = core->section->offset;
+	// reverting fix for bug 3788 since it breaks search in some cases
+//	if (core->section && (core->section->rwx & R_IO_MAP))
+//		base_addr = core->section->offset;
 
 	if (searchshow && kw && kw->keyword_length > 0) {
 		int len, i, extra, mallocsize;
